<?php

/*
 *  Created on Sep 15, 2012
 *  Author Kate Mironova - ktmironova@gmail.com - Magazento.com
 *  Copyright Proskuryakov Ivan. Magazento.com © 2012. All Rights Reserved.
 *  Single Use, Limited Licence and Single Use No Resale Licence ["Single Use"]
 */
?>
<?php

Class Magazento_SocialLifestream_Model_Data {

    private $records_limit = null;
    private $life = null;
    private $flag = false;

    protected function __setup() {

        Mage::helper('sociallifestream/data')->includeLivestreamLib();
        $this->life->records_limit = Mage::getStoreConfig('sociallifestream/homepage/cnt');
        $this->life = new LifeStream($this->life->records_limit);
    }

    public function getSocData() {
        $this->__setup();

        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/twitter')) as $twacc) {
            if ($twacc != '') {
                $this->life->addTwitter($twacc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/delicious')) as $deliciousacc) {
            if ($deliciousacc != '') {
                $this->life->addDelicious($deliciousacc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/flickr')) as $flickracc) {
            if ($flickracc != '') {
                $this->life->addFlickr($flickracc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/tumblr')) as $tumblracc) {
            if ($tumblracc != '') {
                $this->life->addTumblr($tumblracc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/youtube')) as $youtubeacc) {
            if ($youtubeacc != '') {
                $this->life->addYouTube($youtubeacc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/dribbble')) as $dribbbleacc) {
            if ($dribbbleacc != '') {
                $this->life->addDribbble($dribbbleacc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/digg')) as $diggacc) {
            if ($diggacc != '') {
                $this->life->addDigg($diggacc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/vimeo')) as $vimeoacc) {
            if ($vimeoacc != '') {
                $this->life->addVimeo($vimeoacc);
                $this->flag = true;
            }
        }
        foreach (explode(',', Mage::getStoreConfig('sociallifestream/datasource/custom')) as $custom) {
            if ($custom != '') {
                $this->life->addCustomFeed($custom);
                $this->flag = true;
            }
        }

        $return = false;
        if ($this->flag) {
            $feed = $this->life->build();
            $return = $feed;
        }

        return $return;
    }

}

?>
